<?php

/**
 * Handles the activation of the Lockee plugin.
 */
class Lockee_Activator
{

    /**
     * Activate the plugin.
     */
    public static function activate()
    {
        if (!get_option('lockee_settings')) {
            $default_settings = array(
                'theme' => 'system'
            );
            add_option('lockee_settings', $default_settings);
        }
        require_once plugin_dir_path(__FILE__) . 'class-lockee-post-types.php';
        Lockee_Post_Types::maybe_migrate_lock_to_lockee_lock();
        Lockee_Post_Types::update_rewrite_rules_static();
    }
}
